Skip to main content
GET
/
vaults
/
{vaultId}
Get vault by ID
curl --request GET \
  --url https://api.anchorage-staging.com/v2/vaults/{vaultId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
    "name": "Long Hold Vault",
    "description": "For long-term investments",
    "type": "VAULT",
    "accountName": "Account name",
    "assets": [
      {
        "walletId": "3d293c0d64c703023692216e9b4f5280",
        "assetType": "BTC",
        "availableBalance": {
          "quantity": "10.00000000",
          "assetType": "BTC",
          "currentPrice": "9751.01",
          "currentUSDValue": "97510.1"
        },
        "totalBalance": {
          "quantity": "10.45234733",
          "assetType": "BTC",
          "currentPrice": "9751.01",
          "currentUSDValue": "101920.94"
        },
        "stakedBalance": {
          "quantity": "32.00000000",
          "assetType": "BTC",
          "currentPrice": "9751.01",
          "currentUSDValue": "312032.32"
        },
        "unclaimedBalance": {
          "quantity": "0",
          "assetType": "BTC",
          "currentPrice": "9751.01",
          "currentUSDValue": "0"
        },
        "vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
        "vaultName": "Long Hold Vault"
      }
    ]
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

vaultId
string
required

The ID of the vault to get details for

Response

A vault's metadata

data
VaultDetails · object
required
Example:
{
"vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
"name": "Long Hold Vault",
"description": "For long-term investments",
"type": "VAULT",
"accountName": "Account name",
"assets": [
{
"walletId": "3d293c0d64c703023692216e9b4f5280",
"assetType": "BTC",
"availableBalance": {
"quantity": "10.00000000",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "97510.1"
},
"totalBalance": {
"quantity": "10.45234733",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "101920.94"
},
"stakedBalance": {
"quantity": "32.00000000",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "312032.32"
},
"unclaimedBalance": {
"quantity": "0",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "0"
},
"vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
"vaultName": "Long Hold Vault"
}
]
}